#ifndef __COM_ATENACOM_SAMPLE_ECHO_H__
#define __COM_ATENACOM_SAMPLE_ECHO_H__

#include <libgnome/gnome-defs.h>
#include <bonobo/bonobo-object.h>

BEGIN_GNOME_DECLS

#define SAMPLE_ECHO_TYPE        (sample_echo_get_type ())
#define SAMPLE_ECHO(o)          (GTK_CHECK_CAST ((o), SAMPLE_ECHO_TYPE, SampleEcho))
#define SAMPLE_ECHO_CLASS(k)    (GTK_CHECK_CLASS_CAST((k), SAMPLE_ECHO_TYPE, SampleEchoClass))
#define SAMPLE_IS_ECHO(o)       (GTK_CHECK_TYPE ((o), SAMPLE_ECHO_TYPE))
#define SAMPLE_IS_ECHO_CLASS(k) (GTK_CHECK_CLASS_TYPE ((k), SAMPLE_ECHO_TYPE))

typedef struct {
	BonoboObject parent;

	char *instance_data;
} SampleEcho;

typedef struct {
	BonoboObjectClass parent_class;
} SampleEchoClass;

GtkType   	    sample_echo_get_type  (void);
SampleEcho     	   *sample_echo_construct (SampleEcho *echo, Com_AtenaCom_Sample_Echo corba_echo);
SampleEcho     	   *sample_echo_new       (void);

POA_Com_AtenaCom_Sample_Echo__epv *sample_echo_get_epv (void);

END_GNOME_DECLS

#endif /* __COM_ATENACOM_SAMPLE_ECHO_H__ */
